/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem J. Jumping Around                                      */
/*                                                                */
/* Original idea         Andrey Stankevich                        */
/* Problem statement     Andrey Stankevich                        */
/* Test set              Andrey Stankevich                        */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Andrey Stankevich                        */
/******************************************************************/

import java.util.*;
import java.io.*;

public class jumping_as {
    FastScanner in;
    PrintWriter out;

    public void solve() throws IOException {
        int testNo = in.nextInt();
        for (int test = 0; test < testNo; test++) {
            ArrayList<Integer> ans = new ArrayList<Integer>();
            int a = in.nextInt();
            int b = in.nextInt();
            int c = in.nextInt();

            int p = 0;
            ans.add(p);
            switch (c % 3) {
                case 0: {
                    for (int i = 0; i < c / 3; i++) {
                        p += 3;
                        ans.add(p);
                    }
                    p++;
                    ans.add(p);
                    a--;
                    for (int i = 0; i < c / 3; i++) {
                        p -= 3;
                        ans.add(p);
                    }
                    p++;
                    ans.add(p);
                    a--;
                    for (int i = 0; i < c / 3; i++) {
                        p += 3;
                        ans.add(p);
                    }
                    break;
                }
                case 1: {
                    for (int i = 0; i < c / 3 + 1; i++) {
                        p += 3;
                        ans.add(p);
                    }
                    p -= 2;
                    ans.add(p);
                    b--;
                    for (int i = 0; i < c / 3; i++) {
                        p -= 3;
                        ans.add(p);
                    }
                    p++;
                    ans.add(p);
                    a--;
                    for (int i = 0; i < c / 3; i++) {
                        p += 3;
                        ans.add(p);
                    }
                    p += 2;
                    ans.add(p);
                    b--;
                    break;
                }
                case 2: {
                    for (int i = 0; i < c / 3 + 1; i++) {
                        p += 3;
                        ans.add(p);
                    }
                    p--;
                    ans.add(p);
                    a--;
                    for (int i = 0; i < c / 3; i++) {
                        p -= 3;
                        ans.add(p);
                    }
                    p--;
                    ans.add(p);
                    a--;
                    for (int i = 0; i < c / 3 + 1; i++) {
                        p += 3;
                        ans.add(p);
                    }
                    break;
                }
            }
            while (a > 1) {
                p++;
                ans.add(p);
                a--;
            }
            for (int i = 0; i < (b + 1) / 2; i++) {
                p += 2;
                ans.add(p);
            }
            if (b % 2 == 0) {
                p++;
                ans.add(p);
            } else {
                p--;
                ans.add(p);
            }
            for (int i = 0; i < b / 2; i++) {
                p -= 2;
                ans.add(p);
            }
            
            for (int i = 0; i < ans.size(); i++) {
                if (i > 0) {
                    out.print(" ");
                }
                out.print(ans.get(i));
            }
            out.println();
        }
    }

    public void run() {
        try {
            in = new FastScanner(new File("jumping.in"));
            out = new PrintWriter(new File("jumping.out"));

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        FastScanner(File f) {
            try {
                br = new BufferedReader(new FileReader(f));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }

        int nextInt() {
            return Integer.parseInt(next());
        }
    }

    public static void main(String[] arg) {
        new jumping_as().run();
    }
}
