/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem Y. Yield                                               */
/*                                                                */
/* Original idea         Standard                                 */
/* Problem statement     Standard                                 */
/* Test set              Standard                                 */
/******************************************************************/
/* Checker                                                        */
/*                                                                */
/* Author                Standard                                 */
/******************************************************************/

import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int pa = ouf.nextInt();
        int ja = ans.nextInt();
        if (!ouf.seekEoF())
            throw new Outcome(Outcome.Type.PE, "Extra data in output file");
        if (pa != ja)
            throw new Outcome(Outcome.Type.WA, String.format("%d instead of %d", pa, ja));
        return new Outcome(Outcome.Type.OK, String.format("%d", pa));
    }
}

